		THE FORTRAN IV-PLUS COMPILER
  
 	The FORTRAN IV-PLUS compiler is an optimizing Fortran compiler 
 capable of producing in-line code. It can theoretically produce a Fortran 
 program which executes almost as fast as an assembly language program.
  
 	By convention   /SW  sets the switch action, and  /NOSW or /-SW
  negates the switch action (SW  represents a switch). The command line to the 
 compiler looks like
  
 	Object-File, List-File/listswitch = Source-File/switches
  
 The default extensions are .FTN for the Source-File, and .OBJ for the
 Object-File.
 
Further HELP may be obtained by typing HELP F4P KEYWORD, using
one of the following keywords.
	ERROR		(Options for getting HELP on errors)
	ERROR Rnn	(HELP for a specific Runtime error number)
	ERROR Cnn	(HELP for a specific Compile error number)
	SWITCHES	(Summary of F4P compiler switches)
	LIST		(Listing Switch Summary)
	<switch>	(Information on named compiler switch)

 For help on FORTRAN-IV type HELP FOR
2	ERROR
	@F4PERROR.HLP
2	SWITCHES
		  F4P Compiler Switch Options
 
		/CK		check array references
		/CO:n		specify n continuation lines
		/DE		compile debug lines
		/ID		print compiler version number
		/I4		allocate 2 words/integer
		/LA		lock switch setting
		/LI		list switch
		/RO		generate read only code
		/SP		spool listing file
		/TR		controls error traceback
		/WF		specify number of work files
		/WR		enable warning diagnostics
 
 Switch default summary:
  
	 	/NOCK/CO:5/NODE/NOI4/NOLA/LI:2/NORO/SP/TR:BLOCKS/WF:2/WR
	
 HELP on any of these switches may be obtained by typing  HELP F4P <switch>.
 where switch is the desired switch.
2 CK
 
 /CK	Code is generated to check that all array references are
	within the array address bounds specified by the program.
	Individual subscripts are not checked against dimension
	specifications.
 
	The default is /NOCK
 
2 CO
 
 /CO:n	A maximum of n continuation lines are permitted in the
	program, 0 .LE. n .LE. 99.  Note that n may be expressed
	either in octal or decimal radix.  If a decimal point
	follows the number, it is interpreted in decimal radix;
	otherwise, it is interpreted in octal radix.
 
	The default is /CO:5
 
2 DE
 
 /DE	Compile line with a D in column one.  These lines are
	treated as comment lines by default.
 
	The default is /NODE
 
2 ID
 
 /ID	Print FORTRAN IV-PLUS Compiler identification and version
	number.
 
	The default is /NOID
 
2 I4
 
 /I4	Allocates two words for default length of Integer and
	Logical variables.  Normally, single storage words will
	be the default allocation for all Integer or Logical
	variables not given an explicit length definition (i.e.,
	INTEGER*2, LOGICAL*4).
 
	The default if /NOI4
 
2 LA
 
 /LA	Causes the current switch settings to be retained (latched)
	for subsequent compilations.  Normally switch settings are
	restored to their default values prior to processing each
	command line.  This switch is convenient for compiling
	a series of programs with the same switch settings.
 
	The default is /NOLA
 
2 LIST
 
 /LI:n	Specifies listing options; 0 .LE. n .LE. 3.  The argument
	n is codes as follows:
 
		n=0	minimal listing file:  diagnostic messages
			and program section summary only
 
		n=1	source listing and program section summary
 
		n=2	source listing, program section summary
			and storage map
 
		n=3	source listing, assembly code, program
			section summary, and storage map
 
	The default is /LI:2
 
2 RO
 
 /RO	Directs the compiler to specify pure code and pure data
	sections as Read Only, in order to take advantage of
	code-sharing in multiuser tasks.
 
	The default is /NORO
 
2 SP
 
 /SP	automatically spool listing file.
 
	The default is /SP
 
2 TR
 
 /TR:x	The /TR switch controls the amount of extra code included
	in the compiled output for use by the OTS during error
	traceback.  This code is used in producing diagnostic
	information and in identifying which statement in the
	FORTRAN source program caused an error condition to be
	detected during execution.  /TR:x can have the following
	forms:
 
	/TR		Same as /TR:ALL
 
	/TR:ALL		Error traceback information is compiled
			for all source statements, and function
			and subroutine entries.
 
	/TR:LINES	Same as /TR:ALL
 
	/TR:BLOCKS	Traceback information is compiled for
			subroutine and function entries and for
			selected source statements.  The source
			statements selected by the compiler are
			initial statements in sequences called
			blocks.
 
	/TR:NAMES	Traceback information is compiled only
			for subroutine and function entries.
 
	/TR:NONE	No traceback information is produced.
 
	/NOTR		Same as /TR:NONE
 
	The default is /TR:BLOCKS
2 WF
 
 /WF:n	The /WF switch determines the number of temporary external
	work files that should be used during compilation.  One,
	two, or three files can be used.  Increasing the number of
	files will increase the size of the largest program that
	can be compiled, but may decrease compilation speed.
 
	The default is /WF:2
 
2 WR
 
 /WR	Enable compiler warning diagnostics.  If /NOWR is set,
	no warning messages will be issued by the compiler.
 
	The default if /WR
 
